%define name gobject-introspection
%define version 0.6.5
%define git 0
%if %git
%define release %mkrel 1
%else
%define release %mkrel 1
%endif


%define api 1.0
%define major 0
%define libname %mklibname girepository %api %major
%define everythingmajor 1
%define everythinglibname %mklibname girepository-everything %api %everythingmajor
%define develname %mklibname -d girepository

Summary: GObject Introspection
Name: %{name}
Version: %{version}
Release: %{release}
%if %git
Source0:       %{name}-%{git}.tar.bz2
%else
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
%endif
Patch1: gobject-introspection-link-module.patch
License: GPLv2+ and LGPLv2+
Group: Development/C
Url: http://www.gnome.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: glib2-devel
BuildRequires: ffi5-devel
BuildRequires: python-devel
BuildRequires: freetype2-devel 
BuildRequires: cairo-devel
BuildRequires: fontconfig-devel
BuildRequires: GL-devel
BuildRequires: libxft-devel
BuildRequires: flex bison
BuildRequires: gnome-common
BuildRequires: libtool
BuildRequires: gtk-doc
#gw /usr/bin/libtool is called in giscanner
Requires: libtool

%description
The goal of the project is to describe the APIs and  collect them in
a uniform, machine readable format.

%package -n %libname
Group: System/Libraries
Summary: GObject Introspection shared library
%description -n %libname
The goal of the project is to describe the APIs and  collect them in
a uniform, machine readable format.

%package -n %everythinglibname
Group: System/Libraries
Summary: GObject Introspection shared library
%description -n %everythinglibname
The goal of the project is to describe the APIs and  collect them in
a uniform, machine readable format.


%package -n %develname
Group: Development/C
Summary: GObject Introspection development libraries
Requires: %libname = %version-%release
Requires: %everythinglibname = %version-%release
Requires: %name = %version-%release
Provides: libgirepository-devel = %version-%release
Provides: %name-devel = %version-%release
%description -n %develname
The goal of the project is to describe the APIs and  collect them in
a uniform, machine readable format.

%prep
%if %git
%setup -q -n %name
./autogen.sh -V
%else
%setup -q
%endif
%patch1 -p1 -b .link-module

%if %git
./autogen.sh -V
%endif


%build
%define _disable_ld_no_undefined 1
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

#%check
#make check

%clean
rm -rf %{buildroot}

%if %mdvver < 200900
%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig
%post -n %everythinglibname -p /sbin/ldconfig
%postun -n %everythinglibname -p /sbin/ldconfig
%endif

%files
%defattr(-,root,root)
%doc README NEWS TODO AUTHORS
%_bindir/g-ir-*
%_libdir/%name
%dir %_libdir/girepository-%api
%_libdir/girepository-%api/Everything-1.0.typelib
%_libdir/girepository-%api/GIRepository-2.0.typelib
%_libdir/girepository-%api/GL-1.0.typelib
%_libdir/girepository-%api/GLib-2.0.typelib
%_libdir/girepository-%api/GModule-2.0.typelib
%_libdir/girepository-%api/GObject-2.0.typelib
%_libdir/girepository-%api/Gio-2.0.typelib
%_libdir/girepository-%api/cairo-1.0.typelib
%_libdir/girepository-%api/fontconfig-2.0.typelib
%_libdir/girepository-%api/freetype2-2.0.typelib
%_libdir/girepository-%api/libxml2-2.0.typelib
%_libdir/girepository-%api/xfixes-4.0.typelib
%_libdir/girepository-%api/xft-2.0.typelib
%_libdir/girepository-%api/xlib-2.0.typelib
%dir %_datadir/gir-%api
%_datadir/gir-%api/Everything-1.0.gir
%_datadir/gir-%api/GIRepository-2.0.gir
%_datadir/gir-%api/GL-1.0.gir
%_datadir/gir-%api/GLib-2.0.gir
%_datadir/gir-%api/GModule-2.0.gir
%_datadir/gir-%api/GObject-2.0.gir
%_datadir/gir-%api/Gio-2.0.gir
%_datadir/gir-%api/cairo-1.0.gir
%_datadir/gir-%api/fontconfig-2.0.gir
%_datadir/gir-%api/freetype2-2.0.gir
%_datadir/gir-%api/libxml2-2.0.gir
%_datadir/gir-%api/xfixes-4.0.gir
%_datadir/gir-%api/xft-2.0.gir
%_datadir/gir-%api/xlib-2.0.gir

%_mandir/man1/*

%files -n %libname
%defattr(-,root,root)
%_libdir/libgirepository-%api.so.%{major}*

%files -n %everythinglibname
%defattr(-,root,root)
%_libdir/libgirepository-everything-%api.so.%{everythingmajor}*

%files -n %develname
%defattr(-,root,root)
%doc ChangeLog
%_libdir/libgirepository-%api.so
%_libdir/libgirepository-everything-%api.so
%_libdir/libgirepository*a
%_libdir/pkgconfig/gobject-introspection-%api.pc
%_libdir/pkgconfig/gobject-introspection-no-export-%api.pc
%_includedir/%name-%api
%_datadir/aclocal/*.m4


%changelog
* Sat Sep 05 2009 Götz Waschk <waschk@mandriva.org> 0.6.5-1mdv2010.0
+ Revision: 432060
- new version

* Tue Aug 25 2009 Götz Waschk <waschk@mandriva.org> 0.6.4-1mdv2010.0
+ Revision: 420769
- new version
- update deps
- reenable checks

* Mon Aug 17 2009 Götz Waschk <waschk@mandriva.org> 0.6.4-0.20090817.1mdv2010.0
+ Revision: 417191
- new snapshot to make the scanner handle uninstalled libs better
- fix file list

* Mon Aug 10 2009 Götz Waschk <waschk@mandriva.org> 0.6.3-2mdv2010.0
+ Revision: 414454
- add dep on libtool

* Mon Jun 22 2009 Götz Waschk <waschk@mandriva.org> 0.6.3-1mdv2010.0
+ Revision: 388083
- new version

* Tue Jun 16 2009 Götz Waschk <waschk@mandriva.org> 0.6.3-0.20090616.1mdv2010.0
+ Revision: 386312
- update build deps
- update file list
- new snapshot

* Mon May 18 2009 Götz Waschk <waschk@mandriva.org> 0.6.3-0.20090518.1mdv2010.0
+ Revision: 376840
- update build deps
- git snapshot
- drop patch 0
- rediff patch 1
- update file list
- disable --no-undefined

* Thu Jan 22 2009 Götz Waschk <waschk@mandriva.org> 0.6.2-1mdv2009.1
+ Revision: 332431
- update build deps
- new version
- add API version
- update file list

* Sun Jan 11 2009 Funda Wang <fundawang@mandriva.org> 0.6.1-3mdv2009.1
+ Revision: 328252
- BR libtool
- let python module link against libpython
- fix str fmt

* Wed Nov 26 2008 Götz Waschk <waschk@mandriva.org> 0.6.1-1mdv2009.1
+ Revision: 306919
- fix build
- new version
- update file list
- fix source URL

* Sat Nov 01 2008 Götz Waschk <waschk@mandriva.org> 0.6.0-1mdv2009.1
+ Revision: 299138
- new version
- update file list
- new library package for libgirepository-everything

* Tue Oct 14 2008 Götz Waschk <waschk@mandriva.org> 0.5.1-0.r703.1mdv2009.1
+ Revision: 293565
- import gobject-introspection


* Tue Oct 14 2008 Götz Waschk <waschk@mandriva.org> 0.5.1-0.r703.1mdv2009.1
- initial package
